Subject: bug#76457: 31.0.50; Cannot create bookmark to chained TRAMP connection

From: Sean Whitton <[email-masked]>
Date: Sat, 22 Feb 2025 12:58:41 +0800

Hello Michael,

On Fri 21 Feb 2025 at 08:08am +01, Michael Albinus wrote:

> In my local git repo, there is a pending change of the Tramp manual:
>
> --8<---------------cut here---------------start------------->8---
>    • Why saved multi-hop file names do not work in a new Emacs
>      session?
>
>      When saving ad-hoc multi-hop TRAMP file names (*note Ad-hoc
>      multi-hops::) via bookmarks, recent files, filecache, bbdb, or
>      another package, use the full ad-hoc file name including all
>      hops, like ‘/ssh:bird@bastion|ssh:news.my.domain:/opt/news/etc’.
>      This is achieved by setting the user option
>      ‘tramp-show-ad-hoc-proxies’ to non-‘nil’.
>
>      Alternatively, when saving abbreviated multi-hop file names like
>      ‘/ssh:[email-masked]:/opt/news/etc’, the user option
>      ‘tramp-save-ad-hoc-proxies’ must be set non-‘nil’ value.
> --8<---------------cut here---------------end--------------->8---
>
> Does this help?

Thanks!  The first paragraph is helpful, but then the second paragraph
confuses me a bit.  What is the relationship between the two options?
Also, why is tramp-show-ad-hoc-proxies not non-nil by default?
Just a matter of preserving backwards compatibility?

-- 
Sean Whitton